
#define MAX_NLIGHTS 8

typedef struct LSPar {
          GLfloat position[4];
          GLfloat ambient[3];
          GLfloat diffuse[3];
          GLfloat attenuation[3];
        } LSPar;

typedef struct LightBl {
          GLuint nls, mask;
          LSPar  ls[MAX_NLIGHTS];
        } LightBl;

extern const GLchar *ULSNames[];
extern       GLuint  lsbbp;
extern       GLint   lsbsize;

GLuint GetAccessToLightBlockUniform ( GLuint program_id );
void SetLightPosition ( GLuint lsbuf, LightBl *light, int l, GLfloat pos[4] );
void SetLightAmbient ( GLuint lsbuf, LightBl *light, int l, GLfloat amb[3] );
void SetLightDiffuse ( GLuint lsbuf, LightBl *light, int l, GLfloat dif[3] );
void SetLightAttenuation ( GLuint lsbuf, LightBl *light, int l, GLfloat at3[3] );
void SetLightOnOff ( GLuint lsbuf, LightBl *light, int l, char on );
